> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reilabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reigent Unit's Tools

> Retrieve the tools available for a Reigent Unit.



## OpenAPI

````yaml /openapi.json get /agents/tools
openapi: 3.0.3
info:
  title: Reigent API
  version: 1.0.0
  description: API for managing Rei Agents and chat completions.
servers:
  - url: https://api.reilabs.org/v1
  - url: https://rei-api.reilabs.org/v1
security: []
paths:
  /agents/tools:
    servers:
      - url: https://api.reilabs.org/v1
    get:
      tags:
        - Agent
      summary: Get Reigent Unit's Tools
      description: Retrieve the tools available for a Reigent Unit.
      responses:
        '200':
          description: List of agent tools
          content:
            application/json:
              schema:
                type: object
                properties:
                  features:
                    type: array
                    items:
                      $ref: '#/components/schemas/Feature'
        '401':
          description: Unauthorized
      security:
        - AgentSecretToken: []
components:
  schemas:
    Feature:
      type: object
      properties:
        key:
          type: string
        label:
          type: string
        isActive:
          type: boolean
  securitySchemes:
    AgentSecretToken:
      type: http
      scheme: bearer
      description: Unit API Key

````